Bug 1126185 - [Cloud Init] Root password string should be changed with User password string
Summary: [Cloud Init] Root password string should be changed with User password string
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: oVirt
Classification: Retired
Component: ovirt-engine-webadmin
Version: 3.5
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
: 3.5.0
Assignee: Shahar Havivi
QA Contact: Pavel Novotny
URL:
Whiteboard: virt
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-03 09:47 UTC by GenadiC
Modified: 2016-02-10 19:47 UTC (History)
10 users (show)

Fixed In Version: ovirt-3.5.0_rc1.1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-10-17 12:33:13 UTC
oVirt Team: Virt


Attachments (Terms of Use)
screen: VM dialog - Cloud-Init / Auth. section (54.97 KB, application/octet-stream)
2014-09-01 15:43 UTC, Pavel Novotny
no flags Details


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 31057 master MERGED ui: rename cloud-init root-password to password Never
oVirt gerrit 31377 ovirt-engine-3.5 MERGED ui: rename cloud-init root-password to password Never

Description GenadiC 2014-08-03 09:47:03 UTC
Description of problem:
When providing authentication with Cloud Init you can provide User name and appropriate password.
This field is called Root Password instead of User password
Verify Root Password should be changed to Verify User Password as well

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Configure Cloud Init Authentication
2.
3.

Actual results:
Root password is displayed instead of User password

Expected results:
User password should be displayed

Additional info:

Comment 1 Omer Frenkel 2014-08-04 07:56:14 UTC
afair, cloud init allows you to set only root password.
were you able to change any user password? (using this field, and not the custom script)

Comment 2 GenadiC 2014-08-04 09:00:40 UTC
You can set any user with this password

Comment 3 Shahar Havivi 2014-08-05 07:19:41 UTC
(In reply to GenadiC from comment #2)
> You can set any user with this password

Its just a bad text, The text should be only Password

Comment 4 Pavel Novotny 2014-09-01 15:42:15 UTC
Verified in ovirt-engine-3.5.0-0.0.master.20140821064931.gitb794d66.el6.noarch (rc1.1).

In VM & Run Once dialog / Cloud-Init section the labels are now 'Password' and 'Verify Password', string 'Root' has been removed.
See attached screenshot for details.

Comment 5 Pavel Novotny 2014-09-01 15:43:54 UTC
Created attachment 933476 [details]
screen: VM dialog - Cloud-Init / Auth. section

Comment 6 Sandro Bonazzola 2014-10-17 12:33:13 UTC
oVirt 3.5 has been released and should include the fix for this issue.


Note You need to log in before you can comment on or make changes to this bug.